
# # repertoire des tables
# pattern.Morpho <- "../tables/slice/%s/%sMorphoMu.txt"
# pattern.Outline <- "../tables/slice/%s/%sCnt2Mu.txt"
# pattern.plot.density.eps <- "../plots/density/eps/%sPts.eps"
# pattern.plot.density.png <- "../plots/density/png/%sPts.png"

pattern.bundles <- "../register/tables/bundlesReg/%sBunReg.txt";

pattern.outline <- "../register/tables/contoursRegDp100/%sCntRegDp100.txt";

pattern.plot.points.eps <- "plots/bundlesEps/%sPtsOtl.eps";
pattern.plot.points.png <- "plots/bundlesPng/%sPtsCnt.png";
dir.create("plots/bundlesEps", showWarnings = FALSE, recursive = TRUE);
dir.create("plots/bundlesPng", showWarnings = FALSE, recursive = TRUE);

# Le nom des coupes de tige
slices <- dir("../macro/tables/contoursMm")


# charge la bibliotheque
library(spatstat)


## 
for(i in 1:length(slices)) {
	name <- substr(slices[i], 1, 4)
    
	# Lit les coordonnees des points (en mm)
	fileName <- sprintf(pattern.bundles, name); 
	table = read.table(fileName, header=TRUE, row.names="name");	
	bundles <- table[,c("x", "y")]
	
	# Lit les coordonnees du contour (convertit en mm)
	fileName <- sprintf(pattern.outline, name);
	table = read.table(fileName, header=TRUE, row.names="name");	
	outline = table[,c("x", "y")];
	
	
	
# 	# affiche les faisceaux
# 	plot(x=bundles[,"x"], y=bundles[,"y"], type="p", pch=1, xlim = c(-8,8), ylim=c(-8, 8))
# 
# 	# affiche le contour
#     par(new=TRUE)
# 	plot(x=outline[,"x"], y=outline[,"y"], type="l", xlim = c(-8,8), ylim=c(-8, 8))
# 
# 	# sauve le plot
# 	dev.copy2eps(file=sprintf(pattern.plot.points.eps, name),
# 	             pagecentre=TRUE, paper="A4")
# 	dev.off();

	
    
	# cree la fenetre du processus de points
    w <- owin(poly=list(x=outline$x, y=outline$y))
	
	# cree le processus de points
	p <- ppp(bundles$x, bundles$y, window=w)

	# estime la densite
	x <- seq(-8, 8, length=321);
	Z <- density.ppp(p, xy=list(x=x, y=x))
    
    
	# save the plot of the point process as PNG
	png(sprintf(pattern.plot.points.png, name))
	plot(p, xlim = c(-8,8), ylim=c(-8, 8), main=name)
	dev.off();
	
	# save the plot of the point process as a postscript
	setEPS()
	postscript(sprintf(pattern.plot.points.eps, name))
	plot(p, xlim = c(-8,8), ylim=c(-8, 8), main=name)
	dev.off();
	
	
	# cree repertoire destination s'il n'existe pas
	dirName = "tables/densities"
	dir.create(dirName, showWarnings = FALSE, recursive = TRUE);
	
    # sauvegarde des valeurs
	fileName = sprintf("tables/densities/%sDensity321.txt", name)
	write.table(Z$v, fileName)
}
