function m_4_02_convertToMetaImage(varargin)
%CONVERTDENSITYTOIMAGE Convert indivividual intensity maps into MHD images
%
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2010-07-23,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2010 INRA - Cepia Software Platform.

% le repertoire contenant le repertoire des coupes
repTables = fullfile('tables', 'densities');

repImages = fullfile('images', 'mhd');

% cree le repertoire destination si besoin
if ~exist(repImages, 'dir')
    mkdir(repImages);
end


% recupere la liste des coupes
list = dir(fullfile(repTables, '*.txt'));

for i = 1:length(list)
    name = list(i).name(1:4);
    tab = Table.read(fullfile(repTables, [name 'Density321.txt']));
    
    % convertit en image
    metaImageWrite(tab.data, fullfile(repImages, [name 'Dens321.mhd']));
end

