function m_4_03_convertToRGB(varargin)
%CONVERTDENSITYTOIMAGE Convert indivividual intensity maps into RGB images
%
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2010-07-23,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2010 INRA - Cepia Software Platform.

% % le repertoire contenant le repertoire des coupes
% repTables = fullfile('tables', 'densities');
% 
% repImages = fullfile('images', 'rgb');
% 
% % cree le repertoire destination si besoin
% if ~exist(repImages, 'dir')
%     mkdir(repImages);
% end
% 
% % recupere la liste des coupes
% list = dir(repTables);
% list(1:2) = [];
% 
% 
% for i = 1:length(list)
%     name = list(i).name(1:4);
%     fileName = fullfile(repTables, [name 'Density321.txt']);
%     tab = Table.read(fileName, 'rowNames', 1);
%     
%     % convertit en image
%     data = flipud(tab.data);
%     rgb = double2rgb(data, jet, [0 1.3], [1 1 1]);
%     
%     % sauvegarde
%     imwrite(rgb, fullfile(repImages, [name 'DensityJet.png']), 'png');
% end

% directory of images converted to mdh format
inputImagesDir = fullfile('images', 'mhd');

outputImagesDir = fullfile('images', 'rgb');

% cree le repertoire destination si besoin
if ~exist(outputImagesDir, 'dir')
    mkdir(outputImagesDir);
end

% recupere la liste des coupes
list = dir(fullfile(inputImagesDir, '*.mhd'));


for i = 1:length(list)
    name = list(i).name(1:4);
    disp(['process: ' name]);
    
    % read input image
    data = metaImageRead(fullfile(inputImagesDir, [name 'Dens321.mhd']));
    data = flipud(data);
    
    % covnert to RGB, with white background
    rgb = double2rgb(data, jet, [0 1.3], [1 1 1]);
    
    % save as PNG
    imwrite(rgb, fullfile(outputImagesDir, [name 'DensityJet.png']), 'png');
end
