function m_3_04_plotRegisterSlices(varargin)
%M_3_03_PLOTREGISTERSLICES Plot the result of slice registration
%
%   output = m_3_03_plotRegisterSlices(input)
%
%   Example
%   m_3_03_plotRegisterSlices
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2013-10-22,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2013 INRA - Cepia Software Platform.

regBundlesDir = fullfile('tables', 'bundlesReg');

regContoursDir = fullfile('tables', 'contoursReg');

fittedDir = fullfile('..', 'slabs', 'tables', 'fitGSC', 'mean');
tab = Table.read(fullfile(fittedDir, 'cntCRN200FitGSC_mean.txt'));
refContour = tab.data;

plotsDir = fullfile('plots', 'slicesReg');
if ~exist(plotsDir, 'dir')
    mkdir(plotsDir);
end

list = dir(fullfile(regContoursDir, '*.txt'));

for i = 1:length(list)
    
    name = list(i).name(1:4);
    
    % read registered contour
    tab = Table.read(fullfile(regContoursDir, [name 'CntReg.txt']));
    contour = tab.data;
    
    % read registered contour
    tab = Table.read(fullfile(regBundlesDir, [name 'BunReg.txt']));
    bundles = tab.data;
    
    figure(1); clf;
    drawPolygon(refContour, 'linewidth', 2);
    hold on;
    drawPolygon(contour);
    drawPoint(bundles, 'color', 'b', 'marker', '+', 'linewidth', 2);

    axis equal;
    axis([-10 10 -10 10]);
    title(name);
    
    print(gcf, fullfile(plotsDir, [name 'BunCntReg.png']), '-dpng');
end