function m_1_05_selectCleanSlabContours(varargin)
%SELECTCLEANSLABCONTOURS Make a selection of slab contours used for modelling
%
%   output = selectCleanSlabContours(input)
%
%   Example
%   selectCleanSlabContours
%
%   See also
%
%
% ------
% Author: David Legland
% e-mail: david.legland@grignon.inra.fr
% Created: 2013-10-16,    using Matlab 7.9.0.529 (R2009b)
% Copyright 2013 INRA - Cepia Software Platform.

% read the table with all contours
tab = Table.read(fullfile('tables', 'cntCRN200XY_slab.txt'));

% read the table containing factors for each 'selected' slab contour
tabFact = Table.read('fact2_slab.sel.txt');

% select only the rows containing a valid contour
inds = ismember(tab.rowNames, tabFact.rowNames);
tab2 = tab(inds, :);

% format pour sauver les nombres 
N = 200;
format = ['%s' repmat(' %6.3f', 1, 2*N) '\n'];

write(tab2, fullfile('tables', 'cntCRN200XY_slab.sel.txt'), format);

